Index: branches/src/ProcessManagement/ProcessManagement/Common/CommonDefine.cs
===================================================================
--- branches/src/ProcessManagement/ProcessManagement/Common/CommonDefine.cs	(revision 59)
+++ branches/src/ProcessManagement/ProcessManagement/Common/CommonDefine.cs	(revision 60)
@@ -1678,5 +1678,18 @@
         }
         #endregion
 
+        #region 資材返却期限
+        /// <summary>
+        /// 資材返却期限コントロールアイテム      // Add BIT 2017/03/18
+        /// </summary>
+        public static string[,] MaterualLimitItem = new string[2,4] {
+                                                                      { "資材返却", "本日返却期限の資材があります。",   "0xFF0000", "0x000000" },
+                                                                      { "資材返却", "返却期限を過ぎた資材があります。", "0x808080", "0xFF0000" }
+                                                                    };
+        public static List<KeyValuePair<int, int>> MaterualStatusCheckList = new List<KeyValuePair<int, int>>{
+            new KeyValuePair<int, int>((int)CommonDefine.TermDateCheckTiming.CheckSchdule1, 0),
+            new KeyValuePair<int, int>((int)CommonDefine.TermDateCheckTiming.CheckSchdule3, 1)};
+        #endregion
+
     }
 }
Index: branches/src/ProcessManagement/ProcessManagement/Common/Process/ClsChangeLedgerData.cs
===================================================================
--- branches/src/ProcessManagement/ProcessManagement/Common/Process/ClsChangeLedgerData.cs	(revision 59)
+++ branches/src/ProcessManagement/ProcessManagement/Common/Process/ClsChangeLedgerData.cs	(revision 60)
@@ -773,7 +773,7 @@
         /// </summary>
         /// <param name="TargetMonth"></param>
         /// <returns></returns>
-        private static int CalcTargetMonthToColumn(DateTime StartDate, DateTime TargetMonth)
+        public static int CalcTargetMonthToColumn(DateTime StartDate, DateTime TargetMonth)
         {
             FrmConstructionLedger frm = new FrmConstructionLedger();
             int Columncnt = frm.GetGridColumsCount - 1;
Index: branches/src/ProcessManagement/ProcessManagement/Common/Process/ClsExcute.cs
===================================================================
--- branches/src/ProcessManagement/ProcessManagement/Common/Process/ClsExcute.cs	(revision 59)
+++ branches/src/ProcessManagement/ProcessManagement/Common/Process/ClsExcute.cs	(revision 60)
@@ -114,6 +114,7 @@
             ConstructionExpenses = 126,         // 126:施工経費区分登録
             MaterialKind = 127,                 // 127:資材種類マスタ
             MaterialItem = 128,                 // 128:資材品目マスタ
+            SalesConfirm = 129,                 // 129:売上確認
         }
         #endregion
 
@@ -206,6 +207,7 @@
                                                                                 { (int)MaintenanceExecuteNo.ConstructionExpenses,       "施工経費区分登録"},           // 126
                                                                                 { (int)MaintenanceExecuteNo.MaterialKind,               "資材種類登録"},              // 127
                                                                                 { (int)MaintenanceExecuteNo.MaterialItem,               "資材品目登録"},              // 128
+                                                                                { (int)MaintenanceExecuteNo.SalesConfirm,               "売上確認"},              // 128
                                                                                 };
         #endregion
 
@@ -470,6 +472,9 @@
                         case (int)ProcessExecuteNo.RequestInput:                         // 31:請求入力
                             ProcessExecuteNo_RequestInput(m_ProcControlPara[NowPoint]);
                             break;
+                        case (int)ProcessExecuteNo.RequestPrint:                        // 32：請求書印刷
+                            ProcessExecuteNo_RequestPrint(m_ProcControlPara[NowPoint]);
+                            break;
 
                         #endregion  
 
@@ -559,6 +564,9 @@
                         case (int)MaintenanceExecuteNo.MaterialItem:                    // 128:資材品目マスタ
                             MaintenanceExecuteNo_MaterialItems(m_ProcControlPara[NowPoint]);
                             break;
+                        case (int)MaintenanceExecuteNo.SalesConfirm:                    // 129:売上確認
+                            MaintenanceExecuteNo_SalesConfirm(m_ProcControlPara[NowPoint]);
+                            break;
 
 
                         #endregion
@@ -1900,6 +1908,18 @@
             FrmRequestSummaryList frm = new FrmRequestSummaryList();
             try
             {
+                int ProcessNo = (int)ProcessExecuteNo.RequestSummaryList;
+
+                // 起動・編集フラグ
+                int EditFlg = (int)CommonDefine.ProcessDataEdit.Reference;
+                if (!ClsSecurityPermission.GetExecutePermission(ProcessNo, ref EditFlg))
+                {
+                    BackProcess();
+                    return;
+                }
+
+                if (EditFlg == (int)CommonDefine.ProcessDataEdit.Reference) frm.EditLock = true;
+
                 // パラメータセット
                 frm.Labourkind = CurrentPara.IntExecParameter[0];
 
@@ -1924,19 +1944,39 @@
         /// <returns></returns>
         public static void ProcessExecuteNo_RequestInput(ProcessParameter CurrentPara)
         {
-            // 工事案件選択画面
-            FrmConstructionDiag frmCnstDlg = new FrmConstructionDiag();
 
-            // 工事一覧の表示に必要なデータを設定(担当者コード、工事担当者検索)
-            frmCnstDlg.PersonCode = CommonMotions.LoginUserData.PersonCode;
-            frmCnstDlg.PersonCharge = (int)FrmConstructionDiag.PersonChargePoint.Construction;
-            frmCnstDlg.SelectType = CurrentPara.IntExecParameter[0];
+            int nConstructionCode = 0;
+            bool bEdit = true;
 
-            // 工事案件選択画面のオープン
-            frmCnstDlg.ShowDialog();
+            if( CurrentPara.BoolExecParameter[0] == false )
+            {
 
+                // 工事案件選択画面
+                FrmConstructionDiag frmCnstDlg = new FrmConstructionDiag();
+
+                // 工事一覧の表示に必要なデータを設定(担当者コード、工事担当者検索)
+                frmCnstDlg.PersonCode = CommonMotions.LoginUserData.PersonCode;
+                frmCnstDlg.PersonCharge = (int)FrmConstructionDiag.PersonChargePoint.Construction;
+                frmCnstDlg.SelectType = CurrentPara.IntExecParameter[3];
+
+                // 工事案件選択画面のオープン
+                frmCnstDlg.ShowDialog();
+
+                nConstructionCode = frmCnstDlg.ConstructionCode;
+
+                frmCnstDlg.Dispose();
+                frmCnstDlg = null;
+
+            }
+            else{
+                nConstructionCode = CurrentPara.IntExecParameter[0];
+
+                bEdit = false;
+            }
+
+
             // 工事番号を取得できなかった場合
-            if (0 == frmCnstDlg.ConstructionCode)
+            if (0 == nConstructionCode)
             {
                 ClsExcute.BackProcess();
                 return;
@@ -1949,7 +1989,10 @@
             {
 
                 // 工事案件選択画面で選択された工事番号をセット
-                frm.ConstructionCode = frmCnstDlg.ConstructionCode;
+                frm.ConstructionCode = nConstructionCode;
+                frm.ApprovalCode = CurrentPara.IntExecParameter[1];
+                frm.OrderNo = CurrentPara.IntExecParameter[2];
+                frm.EditFlg = bEdit;
 
                 // 請求入力の表示
                 frm.ShowDialog();
@@ -1977,6 +2020,17 @@
             FrmSelectPayment frm = new FrmSelectPayment();
             try
             {
+                int ProcessNo = (int)ProcessExecuteNo.PaymentConfirmation;
+
+                // 起動・編集フラグ
+                int EditFlg = (int)CommonDefine.ProcessDataEdit.Reference;
+                if (!ClsSecurityPermission.GetExecutePermission(ProcessNo, ref EditFlg))
+                {
+                    BackProcess();
+                    return;
+                }
+
+                // フォーム表示
                 frm.ShowDialog();
             }
             catch (Exception ex)
@@ -1990,6 +2044,41 @@
         }
         #endregion
 
+        #region 請求書印刷
+        /// <summary>
+        /// 請求書印刷
+        /// </summary>
+        /// <param name="CurrentPara"></param>
+        public static void ProcessExecuteNo_RequestPrint(ProcessParameter CurrentPara)
+        {
+            //　入金確認
+            FrmEntryReqSelOrderer frm = new FrmEntryReqSelOrderer();
+            try
+            {
+                int ProcessNo = (int)ProcessExecuteNo.PaymentConfirmation;
+
+                // 起動・編集フラグ
+                int EditFlg = (int)CommonDefine.ProcessDataEdit.Reference;
+                if (!ClsSecurityPermission.GetExecutePermission(ProcessNo, ref EditFlg))
+                {
+                    BackProcess();
+                    return;
+                }
+
+                // フォーム表示
+                frm.ShowDialog();
+            }
+            catch (Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(), ex.Message);
+            }
+            finally
+            {
+                frm.Dispose(); frm = null;
+            }
+        }
+        #endregion
+
         #region マスタメンテナンス
         // ----------------- メンテナンス起動
         #region 管理マスタ
@@ -2901,8 +2990,42 @@
         }
         #endregion
 
+        #region 売上確認
+        /// <summary>
+        /// 売上確認
+        /// </summary>
+        /// <param name="CurrentPara"></param>
+        public static void MaintenanceExecuteNo_SalesConfirm(ProcessParameter CurrentPara)
+        {
+            //　売上確認
+            FrmSalesConfirm frm = new FrmSalesConfirm();
+            try
+            {
+                int ProcessNo = (int)MaintenanceExecuteNo.SalesConfirm;
+                // 起動・編集フラグ
+                int EditFlg = (int)CommonDefine.ProcessDataEdit.Reference;
+                if (!ClsSecurityPermission.GetExecutePermission(ProcessNo, ref EditFlg))
+                {
+                    BackProcess();
+                    return;
+                }
+
+                // フォーム表示
+                frm.ShowDialog();
+            }
+            catch (Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(), ex.Message);
+            }
+            finally
+            {
+                frm.Dispose(); frm = null;
+            }
+        }
         #endregion
 
+        #endregion
+
         #region サブフォーム
         #region 掲示板メッセージ入力
         /// <summary>
Index: branches/src/ProcessManagement/ProcessManagement/Common/Process/ClsProcessExist.cs
===================================================================
--- branches/src/ProcessManagement/ProcessManagement/Common/Process/ClsProcessExist.cs	(revision 59)
+++ branches/src/ProcessManagement/ProcessManagement/Common/Process/ClsProcessExist.cs	(revision 60)
@@ -925,11 +925,11 @@
                 foreach (RequestDataDetail dt in ReqDtlList)
                 {
                     // 最終承認されている(承認済）の場合
-                    if (ClsApprovalPermission.CheckApprovalData(m_ConstructionCode, (int)ClsExcute.ApprovalListNo.OrderBillingApproval, dt.OrderNo))
-                    {
-                        Approvedflg = true;
-                        break;
-                    }
+//                    if (ClsApprovalPermission.CheckApprovalData(m_ConstructionCode, (int)ClsExcute.ApprovalListNo.OrderBillingApproval, dt.OrderNo))
+//                    {
+//                        Approvedflg = true;
+//                        break;
+//                   }
                 }
 
                 return Approvedflg;
Index: branches/src/ProcessManagement/ProcessManagement/Common/Process/ClsSecurityPermission.cs
===================================================================
--- branches/src/ProcessManagement/ProcessManagement/Common/Process/ClsSecurityPermission.cs	(revision 59)
+++ branches/src/ProcessManagement/ProcessManagement/Common/Process/ClsSecurityPermission.cs	(revision 60)
@@ -34,8 +34,42 @@
         #endregion
 
         #region 定数
+
+        #region 保護区分
+        /// <summary>
+        /// 保護区分
+        /// </summary>
+        public enum SecRangeType
+        {
+            AllDepartment = 1,
+            MultiDepartment = 2,
+            OneDepartment = 3,
+            InCharge = 4,
+        }
         #endregion
 
+        #endregion
+
+        #region ユーザ情報
+        /// <summary>
+        /// ユーザ情報
+        /// </summary>
+        public class UserInfo
+        {
+            public CommonDefine.SecurityRankPos m_Type { get; set; }            // 権限
+            public int m_GeneralAffairsFlg { get; set; }                        // 総務業務フラグ
+            public SecRangeType m_SecRange { get; set; }                        // 保護区分
+            public bool CanEditDeposit
+            {
+                get { return m_GeneralAffairsFlg == 1; }
+            }
+            public bool CanEditDepositDetail
+            {
+                get { return m_GeneralAffairsFlg == 0; }
+            }
+        }
+        #endregion
+
         #region 旧セキュリティメソッド
         #region 工事データアクセス許可
         /// <summary>
@@ -1112,6 +1146,55 @@
         }
         #endregion
 
+        #region ユーザタイプ判定
+        /// <summary>
+        /// ユーザタイプ判定
+        /// </summary>
+        public static void SetUserType(UserInfo userInfo)
+        {
+            try
+            {
+                // 保護区分ランク
+                // システム管理者・特別権限
+                if (CommonMotions.LoginUserData.PersonCode == CommonDefine.AdminCode
+                 || CommonMotions.LoginUserData.SecurityManagement == CommonDefine.SecurityRankList[(int)CommonDefine.SecurityRankPos.SpecialAuthority].Key)
+                {
+                    // 特別権限
+                    userInfo.m_Type = CommonDefine.SecurityRankPos.SpecialAuthority;
+                }
+                // 統括者権限
+                else if (CommonMotions.LoginUserData.SecurityManagement == CommonDefine.SecurityRankList[(int)CommonDefine.SecurityRankPos.FreeAuthority].Key)
+                {
+                    // 統括者権限
+                    userInfo.m_Type = CommonDefine.SecurityRankPos.FreeAuthority;
+
+                }
+                // 所属長権限
+                else if (CommonMotions.LoginUserData.SecurityManagement == CommonDefine.SecurityRankList[(int)CommonDefine.SecurityRankPos.LimitedAuthority].Key)
+                {
+                    // 所属長権限
+                    userInfo.m_Type = CommonDefine.SecurityRankPos.LimitedAuthority;
+
+                }
+                // 一般権限
+                else if (CommonMotions.LoginUserData.SecurityManagement == CommonDefine.SecurityRankList[(int)CommonDefine.SecurityRankPos.NormalAuthority].Key)
+                {
+                    // 一般権限
+                    userInfo.m_Type = CommonDefine.SecurityRankPos.NormalAuthority;
+                }
+
+                // 保護区分範囲
+                userInfo.m_SecRange = (SecRangeType)CommonMotions.LoginUserSecurity.SecRange;
+                // 総務業務フラグ
+                userInfo.m_GeneralAffairsFlg = CommonMotions.LoginUserSecurity.GeneralAffairs;
+            }
+            catch (Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：{0}：{1}", ex.Message);
+            }
+        }
         #endregion
+
+        #endregion
     }
 }
Index: branches/src/ProcessManagement/ProcessManagement/Common/Process/ClsSystemOnceExecute.cs
===================================================================
--- branches/src/ProcessManagement/ProcessManagement/Common/Process/ClsSystemOnceExecute.cs	(revision 59)
+++ branches/src/ProcessManagement/ProcessManagement/Common/Process/ClsSystemOnceExecute.cs	(revision 60)
@@ -86,6 +86,9 @@
                 if (!(ProcessFlg = UpDateTargetDate(DateTime.Now))) return;
 
                 // ----- データチェック
+                // 資材返却期限のチェックを行う
+                if (!(ProcessFlg = MaterialLimitCheck(m_lastsessionDate))) return;
+
                 // 日付の期限チェックを行う
                 if(!(ProcessFlg = SubmittedDateCheck(m_lastsessionDate))) return;
 
@@ -248,6 +251,243 @@
         }
         #endregion
 
+        #region 資材返却ステータス取得処理
+        /// <summary>
+        /// 資材返却ステータス取得処理
+        /// </summary>
+        /// <returns></returns>
+        public void MaterualStatusCheck(MaterialRecordInfo checkRec, DateTime CriteriaDate, ref TermMaster TermRec)
+        {
+            try
+            {
+                // 対象日付を設定
+                DateTime Target = checkRec.RepayPlanDate;
+
+                TermMaster TermMasterData = new TermMaster();
+
+                // 当日のチェック 今日を基準に対象日と比較する
+                if (Target.Date == CriteriaDate.Date)
+                {
+                    TermMasterData.CheckSchdule = (int)CommonDefine.TermDateCheckTiming.CheckSchdule1;
+                    TermMasterData.TermDays     = CommonDefine.MaterualStatusCheckList[0].Value;
+                    TermMasterData.SendTitle    = CommonDefine.MaterualLimitItem[0, 0];
+                    TermMasterData.SendMessage  = CommonDefine.MaterualLimitItem[0, 1];
+                    TermMasterData.BackColor    = CommonDefine.MaterualLimitItem[0, 2];
+                    TermMasterData.ForeColor    = CommonDefine.MaterualLimitItem[0, 3];
+                }
+                // 後日以降継続のチェック 今日を基準に経過日（1日）が過ぎているか比較する
+                if (Target.AddDays(1).Date <= CriteriaDate.Date)
+                {
+                    TermMasterData.CheckSchdule = (int)CommonDefine.TermDateCheckTiming.CheckSchdule3;
+                    TermMasterData.TermDays     = CommonDefine.MaterualStatusCheckList[1].Value;
+                    TermMasterData.SendTitle    = CommonDefine.MaterualLimitItem[1, 0];
+                    TermMasterData.SendMessage  = CommonDefine.MaterualLimitItem[1, 1];
+                    TermMasterData.BackColor    = CommonDefine.MaterualLimitItem[1, 2];
+                    TermMasterData.ForeColor    = CommonDefine.MaterualLimitItem[1, 3];
+                }
+
+                TermRec = TermMasterData;
+            }
+            catch (Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：{0}", ex.Message);
+            }
+        }
+        #endregion
+
+        #region 秘書からのメッセージ作成
+        /// <summary>
+        /// 秘書からのメッセージ作成
+        /// </summary>
+        private bool MakeSecretaryMassageData(IOMessageBoardData mbdDB,
+                                        IOMessageBoardTerget mbtDB,
+                                        IOConstructionBaseInfoDetail cbiDB,
+                                        MaterialRecordInfo wrkRec, TermMaster CheckRec, DateTime CriteriaDate)
+        {
+            try
+            {
+                // 工事名称・担当者取得
+                string strSQL = "SELECT A.DETAILSTRING, C.PERSONCODE CCODE, C.PERSONNAME CNAME";
+                strSQL += " FROM ConstructionBaseInfo P";
+                strSQL += string.Format(" LEFT JOIN PERSONINCHARGEMASTER C ON C.PERSONCODE = {0}", wrkRec.PersonCode);
+                strSQL += " , CONSTRUCTIONBASEINFODETAIL A";
+                strSQL += string.Format(" WHERE P.CONSTRUCTIONCODE = {0}", wrkRec.ConstructionCode);
+                strSQL += string.Format(" AND A.CONSTRUCTIONCODE = P.CONSTRUCTIONCODE AND A.DETAILNO = {0}", (int)ConstructionBaseInfoDetail.DetailDataNo.ConstructionName);
+                ArrayList arList = new ArrayList();
+                if (!cbiDB.ExecuteReader(strSQL, ref arList)) return false;
+
+                string DetailString = string.Empty;
+                int SalesPersonCode = 0;
+                string SalesPersonName = string.Empty;
+                int ConstructionPersonCode = 0;
+                string ConstructionPersonName = string.Empty;
+                foreach (object[] onjwrk in arList)
+                {
+                    DetailString = CommonMotions.cnvString(onjwrk[0]);
+                    ConstructionPersonCode = CommonMotions.cnvInt(onjwrk[1]);
+                    ConstructionPersonName = CommonMotions.cnvString(onjwrk[2]);
+                    break;
+                }
+
+                // 新規メッセージ作成
+                MessageBoardData WriteData = new MessageBoardData();
+                List<MessageBoardTerget> WriteDetail = new List<MessageBoardTerget>();
+
+                // 掲示板メッセージ
+                WriteData.FromCode = CommonDefine.s_MsgBoardSystemCode;	                                    // 書込み者コード
+                WriteData.FromName = string.Format(CommonDefine.s_MsgBoardSystemNameFormat, "秘書");        // 書込み者名
+
+                WriteData.MessageTitle = CheckRec.SendTitle;                                                // 伝言タイトル
+
+                // リンク情報
+                WriteData.LinkType = (int)CommonDefine.LinkType.ConstructionInfo;
+                WriteData.LinkMessage = string.Format("工事番号：{0} 工事名称：{1}"
+                                                                            , CommonMotions.cnvStringCodeFromInt(wrkRec.ConstructionCode, "-", 8)
+                                                                            , DetailString);
+                WriteData.LinkCode = string.Format("{0}", CommonMotions.cnvStringCodeFromInt(wrkRec.ConstructionCode, "-", 8));
+
+                // 伝言内容
+                WriteData.MessageContent = CheckRec.SendMessage;
+
+
+                //WriteData.WritingDate = DateTime.Now;	                                                    // 書込み日付
+                WriteData.WritingDate = CriteriaDate.Date + DateTime.Now.TimeOfDay;	                        // 書込み日付
+                WriteData.PersonCode = CommonDefine.s_MsgBoardSystemCode;	                                // 書込み担当者コード
+                WriteData.ShareFlag = 1;	                                                                // 管理者対象フラグ
+
+                WriteData.BackColor = CheckRec.BackColor;                                                   // 背景色セット
+                WriteData.MessageColor = CheckRec.ForeColor;                                                // 背景色セット
+
+                // 掲示板対象者テーブル
+                MessageBoardTerget DetailTbl = new MessageBoardTerget();
+                DetailTbl.ToCode = ConstructionPersonCode;                                                  // 対象者コード
+                DetailTbl.ToName = ConstructionPersonName;	                                                // 対象者
+                WriteDetail.Add(DetailTbl);
+
+                // メッセージフラグを自動に設定する
+                WriteData.MessageFlag = (int)CommonDefine.MessageFlg.Secretary;
+
+                // 掲示板へメッセージを載せる
+                if (!ClsMessageBoradAccess.CreateMessage(mbdDB, mbtDB, WriteData, WriteDetail)) return false;
+
+                return true;
+            }
+            catch (Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：{0}", ex.Message);
+                return false;
+            }
+        }
+        #endregion
+
+        #region 資材返却期限チェック処理
+        /// <summary>
+        /// チェック処理
+        /// </summary>
+        /// <returns></returns>
+        public bool MaterialLimitCheck(DateTime StartDate)
+        {
+            IOConstructionBaseInfo cbiDB = new IOConstructionBaseInfo();
+            IOConstructionBaseInfoDetail cbiDDB = new IOConstructionBaseInfoDetail();
+            IOMessageBoardData mbdDB = new IOMessageBoardData();
+            IOMessageBoardTerget mbtDB = new IOMessageBoardTerget();
+
+            string strSQL = "SELECT";
+            strSQL += " t1.MaterialItemCode";
+            strSQL += ", t1.ProcessDate";
+            strSQL += ", t1.SeqNo";
+            strSQL += ", t1.RecKind";
+            strSQL += ", t1.ConstructionCode";
+            strSQL += ", t1.PersonCode";
+            strSQL += ", t1.MaterialCount";
+            strSQL += ", MAX(t1.REPAYPLANDATE) AS RepayPlanDate";
+            strSQL += ", t1.CommentText";
+            strSQL += ", t1.EntryDate";
+            strSQL += ", t1.UpdateDate";
+            strSQL += " FROM";
+            strSQL += " MATERIALRECORDINFO AS t1";
+            strSQL += " INNER JOIN CONSTRUCTIONMATERIALINFO AS t2";
+            strSQL += " ON t1.CONSTRUCTIONCODE = t2.CONSTRUCTIONCODE";
+            strSQL += " AND t1.MATERIALITEMCODE = t2.MATERIALITEMCODE";
+            strSQL += " AND t2.COMPLETEFLG = 0";
+            strSQL += " WHERE";
+            strSQL += " t1.CONSTRUCTIONCODE > 0";
+            strSQL += " AND t1.CONSTRUCTIONCODE IS NOT NULL";
+            strSQL += " AND t1.RECKIND = 0";
+            strSQL += " AND t1.REPAYPLANDATE <= DATE_FORMAT(NOW(), '%Y/%m/%d')";
+            strSQL += " GROUP BY";
+            strSQL += " t1.CONSTRUCTIONCODE";
+            strSQL += ", t1.PERSONCODE";
+            strSQL += " ORDER BY";
+            strSQL += " t1.CONSTRUCTIONCODE";
+            strSQL += " , t1.REPAYPLANDATE";
+
+            try
+            {
+                cbiDB.connect(); cbiDB.beginTran();
+                cbiDDB.connect(); cbiDDB.beginTran();
+                mbdDB.connect(); mbdDB.beginTran();
+                mbtDB.connect(); mbtDB.beginTran();
+
+                bool procflg = true;
+
+                // 資材履歴情報の返却未完了の貸出データを取得する
+                IOMaterialRecordInfo mrDB = new IOMaterialRecordInfo();
+                ArrayList mrData = new ArrayList();
+                List<MaterialRecordInfo> data = new List<MaterialRecordInfo>();
+
+                if (mrDB.ExecuteReader(strSQL, ref mrData))
+                {
+                    foreach (object[] objwrk in mrData)
+                    {
+                        MaterialRecordInfo wrkRec = new MaterialRecordInfo();
+                        mrDB.Reader2Struct(objwrk, ref wrkRec);
+                        // チェック
+                        TermMaster term = new TermMaster();
+                        MaterualStatusCheck(wrkRec, StartDate, ref term);
+
+                        // メッセージ作成 掲示板にメッセージを載せる処理
+                        if (!MakeSecretaryMassageData(mbdDB, mbtDB, cbiDDB, wrkRec, term, StartDate))
+                        {
+                            procflg = false;
+                            break;
+                        }
+                    }
+
+                    if (procflg)
+                    {
+                        cbiDB.commit();
+                        cbiDDB.commit();
+                        mbdDB.commit();
+                        mbtDB.commit();
+                    }
+                    else
+                    {
+                        cbiDB.rollback();
+                        cbiDDB.rollback();
+                        mbdDB.rollback();
+                        mbtDB.rollback();
+                    }
+
+                    return procflg;
+                }
+            }
+            catch (Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：{0}", ex.Message);
+                return false;
+            }
+            finally
+            {
+                cbiDB.close(); cbiDB = null;
+                cbiDDB.close(); cbiDDB = null;
+                mbdDB.close(); mbdDB = null;
+                mbtDB.close(); mbtDB = null;
+            }
+            return true;
+        }
+        #endregion
+
         #region 工事情報チェック処理
         /// <summary>
         /// 日付の期限チェックを行う
@@ -623,7 +863,7 @@
                 strSQL += string.Format(" < STR_TO_DATE('{0}','%Y/%m/%d')", DateTime.Now.ToShortDateString());
                 strSQL += string.Format(" AND CONSTRUCTIONSTATUSFLG IN({0}, {1})", iCode2, iCode3);
                 strSQL += string.Format(" AND ESTIMATETYPE IN ({0}, {1}))", (int)CommonDefine.BaseInfoEstimateType.Normal, (int)CommonDefine.BaseInfoEstimateType.GetBudget);
-                strSQL += " ) AS TMP"; // MySql対応（Updateの副問合せ対応）
+                strSQL += " ) AS TMP )"; // MySql対応（Updateの副問合せ対応）
                 if (!BaseDB.ExecuteNonQuery(strSQL))
                 {
                     logger.ErrorFormat("工事基本情報更新エラー　非受注案件移行処理失敗：{0}：{1}", CommonMotions.GetMethodName(), strSQL);
@@ -701,7 +941,7 @@
                 string strSQL = "SELECT A.PERSONCODE, A.MONTHLYSALARY, A.YEARSALARY, A.STARTDATE, C.MONTHLYSALARY, C.YEARSALARY";
                 strSQL += " FROM PERSONSALARYMASTER A,";
                 strSQL += " (SELECT PERSONCODE, MAX(STARTDATE) sDate FROM PERSONSALARYMASTER";
-                strSQL += string.Format(" WHERE DATE(STARTDATE) <= STR_TO_DATE('{0}') GROUP BY PERSONCODE) B,", DateTime.Today.ToShortDateString());
+                strSQL += string.Format(" WHERE DATE(STARTDATE) <= STR_TO_DATE('{0}', '%Y/%m/%d') GROUP BY PERSONCODE) B,", DateTime.Today.ToShortDateString());
                 strSQL += " PERSONINCHARGEMASTER C";
                 strSQL += "  WHERE A.PERSONCODE = B.PERSONCODE AND A.STARTDATE = B.sDate";
                 strSQL += " AND C.PERSONCODE = A.PERSONCODE";
